Bug 13768 - in quotes.tt line 14 the use of \" break the translation
Summary: in quotes.tt line 14 the use of \" break the translation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Christophe Croullebois
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-27 15:42 UTC by Christophe Croullebois
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
proposed patch (1.62 KB, patch)
2015-03-10 13:37 UTC, Christophe Croullebois
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13768: Correction of double quotes escaped into double quotes (1.91 KB, patch)
2015-03-10 15:45 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 13768: Correction of double quotes escaped into double quotes (1.96 KB, patch)
2015-03-15 23:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Croullebois 2015-02-27 15:42:27 UTC
In quotes.tt line 14 we have :
var sEmptyTable = _("No quotes available. Please use the \"Add quote\" button to add a quote.");
The use of \" inside double quotes breaks the js in the translated pages.
i.e : in french pages in the table we have "Chargement des données..." and can't go ahead.
Comment 1 Christophe Croullebois 2015-03-10 13:37:53 UTC Comment hidden (obsolete)
Comment 2 Christophe Croullebois 2015-03-10 14:45:32 UTC
Test plan :

without patch :

1/ in English pages go to tools/Edit quotes for QOTD feature
2/ create some quotes if there is no
3/ you must have at least 2 languages translated
4/ try with a language translated the page quotes.pl
5/ you must have the translated page broken (message charging... in the table, no use possible in the page) if no try another language

With the patch :

same steps 1-5
5/ the translated pages must be ok

thx for testing
Comment 3 Bernardo Gonzalez Kriegel 2015-03-10 15:45:31 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-03-15 23:02:09 UTC
Created attachment 36905 [details] [review]
[PASSED QA] Bug 13768: Correction of double quotes escaped into double quotes

Without the patch the translated pages for quotes.tt may have the problematic line broken.
So the js is broken too. The line with bad usage of double quotes escaped :
var sEmptyTable = _("No quotes available. Please use the \"Add quote\" button to add a quote.");

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

diff on staff PO file

-msgid ""
-"No quotes available. Please use the \\\"Add quote\\\" button to add a quote."
+#, fuzzy
+msgid "No quotes available. Please use the 'Add quote' button to add a quote."

No koha-qa errors

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-03-19 18:03:38 UTC
Patch pushed to master.

Thanks Christophe!
Comment 6 Chris Cormack 2015-03-27 23:55:32 UTC
Pushed to 3.18.x will be in 3.18.6